: Class PjResources

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.object
Class PjResources

    java.lang.Object
      |
      +--com.etymon.pj.object.BaseObject
            |
            +--com.etymon.pj.object.PjObject
                  |
                  +--com.etymon.pj.object.PjDictionary
                        |
                        +--com.etymon.pj.object.PjResources

All Implemented Interfaces:
  java.lang.Cloneable

public class PjResources
extends PjDictionary

A representation of a PDF resources dictionary.

Fields inherited from class com.etymon.pj.object.PjDictionary
`_h`

Constructor Summary
`PjResources()` Creates a new resources dictionary.
`PjResources(java.util.Hashtable h)` Creates a resources dictionary as a wrapper around a Hashtable.

Method Summary
`java.lang.Object` | `clone()` Returns a deep copy of this object.
`PjObject` | `getColorSpace()`
`PjObject` | `getExtGState()`
`PjObject` | `getFont()`
`PjObject` | `getPattern()`
`PjObject` | `getProcSet()`
`PjObject` | `getProperties()`
`PjObject` | `getXObject()`
`static boolean` | `isLike(PjDictionary dictionary)` Examines a dictionary to see if it is a PDF resources dictionary.
`void` | `setColorSpace(PjArray colorSpace)`
`void` | `setColorSpace(PjName colorSpace)`
`void` | `setColorSpace(PjReference colorSpace)`
`void` | `setExtGState(PjDictionary extGState)`
`void` | `setExtGState(PjReference extGState)`
`void` | `setFont(PjDictionary font)`
`void` | `setFont(PjReference font)`
`void` | `setPattern(PjReference pattern)`
`void` | `setPattern(PjStream pattern)`
`void` | `setProcSet(PjProcSet procSet)`
`void` | `setProcSet(PjReference procSet)`
`void` | `setProperties(PjDictionary properties)`
`void` | `setProperties(PjReference properties)`
`void` | `setXObject(PjDictionary xObject)`
`void` | `setXObject(PjReference xObject)`

Methods inherited from class com.etymon.pj.object.PjDictionary
`cloneHt, getHashtable, hget, hgetReference, renumber, writePdf`

Methods inherited from class com.etymon.pj.object.BaseObject
`toString, write, write, write, writeln`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PjResources

    public PjResources()

  Creates a new resources dictionary.

### PjResources

    public PjResources(java.util.Hashtable h)

  Creates a resources dictionary as a wrapper around a Hashtable.
  Parameters:
    `h` - the Hashtable to use for this dictionary.

Method Detail

### setProcSet

    public void setProcSet(PjProcSet procSet)

### setProcSet

    public void setProcSet(PjReference procSet)

### getProcSet

    public PjObject getProcSet()
                        throws InvalidPdfObjectException

### setFont

    public void setFont(PjDictionary font)

### setFont

    public void setFont(PjReference font)

### getFont

    public PjObject getFont()
                     throws InvalidPdfObjectException

### setColorSpace

    public void setColorSpace(PjName colorSpace)

### setColorSpace

    public void setColorSpace(PjArray colorSpace)

### setColorSpace

    public void setColorSpace(PjReference colorSpace)

### getColorSpace

    public PjObject getColorSpace()
                           throws InvalidPdfObjectException

### setXObject

    public void setXObject(PjDictionary xObject)

### setXObject

    public void setXObject(PjReference xObject)

### getXObject

    public PjObject getXObject()
                        throws InvalidPdfObjectException

### setExtGState

    public void setExtGState(PjDictionary extGState)

### setExtGState

    public void setExtGState(PjReference extGState)

### getExtGState

    public PjObject getExtGState()
                          throws InvalidPdfObjectException

### setPattern

    public void setPattern(PjStream pattern)

### setPattern

    public void setPattern(PjReference pattern)

### getPattern

    public PjObject getPattern()
                        throws InvalidPdfObjectException

### setProperties

    public void setProperties(PjDictionary properties)

### setProperties

    public void setProperties(PjReference properties)

### getProperties

    public PjObject getProperties()
                           throws InvalidPdfObjectException

### isLike

    public static boolean isLike(PjDictionary dictionary)

  Examines a dictionary to see if it is a PDF resources dictionary.
  Parameters:
    `dictionary` - the dictionary to examine.
  Returns:
    true if the dictionary could be interpreted as a valid PjResources object.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a deep copy of this object.
  Overrides:
    `clone` in class `PjDictionary`
  Returns:
    a deep copy of this object.
  Throws:
    `java.lang.CloneNotSupportedException` - if the instance can not be cloned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD